Bug 208428 - [PATCH] deskutils/py-vdirsyncer: update dependencies
Summary: [PATCH] deskutils/py-vdirsyncer: update dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on: 208424 208426 208427 208541
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-31 14:54 UTC by Christian Geier
Modified: 2016-04-15 19:40 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
update deskutils/py-vdirsyncer to 0.9.3 (2.73 KB, patch)
2016-03-31 14:54 UTC, Christian Geier
no flags Details | Diff
update deskutils/py-vdirsyncer to 0.9.3-1 (1.48 KB, patch)
2016-04-04 18:57 UTC, Christian Geier
no flags Details | Diff
poudriere output of building on 10.2 on amd64 (30.60 KB, text/plain)
2016-04-04 18:58 UTC, Christian Geier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Geier 2016-03-31 14:54:26 UTC
Created attachment 168833 [details]
update deskutils/py-vdirsyncer to 0.9.3

vdirsyncer has a test suite that is currently not run, because it has some dependencies that are currently not in the ports tree, I'll try to remedy that at some point.

I did test building and running on the following releases:


10.1-RELEASE-p31 amd64 
10.2-RELEASE-p14 amd64 
11.0-CURRENT     amd64 
11.0-CURRENT     i386  
9.3-RELEASE-p39  amd64
Comment 1 Kurt Jaeger freebsd_committer 2016-04-02 20:06:08 UTC
Can you check the most recent ports tree ? I've put 0.9.3 in the tree a few hours ago, see PR 206733 and

https://lists.freebsd.org/pipermail/svn-ports-all/2016-March/121243.html

If there are still changes that need to get in, can you provide a diff to the
current version ?
Comment 2 Christian Geier 2016-04-04 08:58:46 UTC
I do think we need those updated dependencies, I'll send a new patch later this week (and also hope to provide patches for the test-dependencies).

@Kurt Jaeger: Thanks for submitting my other patches!
Comment 3 Christian Geier 2016-04-04 18:57:23 UTC
Created attachment 168980 [details]
update deskutils/py-vdirsyncer to 0.9.3-1

updated dependencies
Comment 4 Christian Geier 2016-04-04 18:58:25 UTC
Created attachment 168981 [details]
poudriere output of building on 10.2 on amd64
Comment 5 Kurt Jaeger freebsd_committer 2016-04-05 07:31:11 UTC
It now asks for www/py-requests-toolbelt > 0.4.0, while the portstree has 0.3.1.
Comment 6 Christian Geier 2016-04-05 10:27:53 UTC
sorry, I had a patch that as well, but obviously did forget to create a patch for...
Comment 7 Kurt Jaeger freebsd_committer 2016-04-05 12:17:51 UTC
Testbuilds are fine.
Comment 8 commit-hook freebsd_committer 2016-04-15 19:07:03 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 15 19:06:26 UTC 2016
New revision: 413369
URL: https://svnweb.freebsd.org/changeset/ports/413369

Log:
  deskutils/py-vdirsyncer: update dependencies

  PR:		208428
  Submitted by:	Christian Geier <catcher+freebsdbugzilla@lostpackets.de>
  Approved by:	<che@bein.link> (maintainer timeout)

Changes:
  head/deskutils/py-vdirsyncer/Makefile
Comment 9 Kurt Jaeger freebsd_committer 2016-04-15 19:40:16 UTC
Committed, thanks!